import request from '@/assets/js/utils/request'
import { createURL } from '@/assets/js/utils/index'

/*
 * =======================采购变更-接口==============================
 * */
// 保存变更记录
export function saveChangeRecord(data) {
  return request({
    url: '/bidprocurement/procurement-exception/procurementChangeRecord/saveChangeRecord',
    method: 'post',
    data
  })
}
// 删除变更记录
export function deleteChangeRecord(data) {
  return request({
    url: '/bidprocurement/procurement-exception/procurementChangeRecord/deleteChangeRecord' + createURL(data),
    method: 'get'
  })
}
// 查询正在使用的变更主表ID
export function queryChangeRecord(data) {
  return request({
    url: '/bidprocurement/procurement-exception/procurementChangeRecord/queryChangeRecord',
    method: 'post',
    data
  })
}
// 提交变更
export function submitChangeRecord(data) {
  return request({
    url: '/bidprocurement/procurement-exception/procurementChangeRecord/submitChangeRecord',
    method: 'post',
    data
  })
}
// 提交变更
export function getChangeBulletinHtml(params) {
  return request({
    url: '/bidprocurement/procurement-exception/procurementChangeRecord/getChangeBulletinHtml',
    method: 'get',
    params
  })
}
// 查询变更信息
export function getChangeBulletinInfo(params) {
  return request({
    url: '/bidprocurement/procurement-exception/procurementChangeRecord/getChangeBulletinInfo',
    method: 'get',
    params
  })
}

